curl --request POST \
--url https://api.skyvern.com/v1/run/tasks/download_files \
--header 'Content-Type: application/json' \
--data '
{
"navigation_goal": "<string>",
"url": "<string>",
"webhook_url": "<string>",
"proxy_location": "RESIDENTIAL",
"totp_identifier": "<string>",
"totp_url": "<string>",
"browser_session_id": "pbs_123456",
"browser_profile_id": "<string>",
"browser_address": "http://127.0.0.1:9222",
"extra_http_headers": {},
"max_screenshot_scrolling_times": 123,
"download_suffix": "<string>",
"download_timeout": 123,
"max_steps_per_run": 123
}
'{
"run_id": "tsk_123",
"status": "created",
"created_at": "2025-01-01T00:00:00Z",
"modified_at": "2025-01-01T00:05:00Z",
"run_type": "workflow_run",
"output": {},
"downloaded_files": [
{
"url": "<string>",
"checksum": "<string>",
"filename": "<string>",
"modified_at": "2023-11-07T05:31:56Z"
}
],
"recording_url": "<string>",
"screenshot_urls": [
"<string>"
],
"failure_reason": "<string>",
"queued_at": "2023-11-07T05:31:56Z",
"started_at": "2023-11-07T05:31:56Z",
"finished_at": "2023-11-07T05:31:56Z",
"app_url": "https://app.skyvern.com/tasks/tsk_123",
"browser_session_id": "pbs_123",
"browser_profile_id": "bp_123",
"max_screenshot_scrolls": 123,
"script_run": {
"ai_fallback_triggered": false
},
"errors": [
{}
],
"step_count": 123,
"run_with": "agent",
"ai_fallback": true,
"run_request": {
"workflow_id": "wpid_123",
"parameters": {},
"title": "<string>",
"proxy_location": "RESIDENTIAL",
"webhook_url": "<string>",
"totp_url": "https://my-totp-service.com/totp",
"totp_identifier": "john.doe@example.com",
"browser_session_id": "<string>",
"browser_profile_id": "<string>",
"max_screenshot_scrolls": 123,
"extra_http_headers": {},
"browser_address": "http://127.0.0.1:9222",
"ai_fallback": true,
"run_with": "<string>"
}
}Download a file from a website by navigating and clicking download buttons
curl --request POST \
--url https://api.skyvern.com/v1/run/tasks/download_files \
--header 'Content-Type: application/json' \
--data '
{
"navigation_goal": "<string>",
"url": "<string>",
"webhook_url": "<string>",
"proxy_location": "RESIDENTIAL",
"totp_identifier": "<string>",
"totp_url": "<string>",
"browser_session_id": "pbs_123456",
"browser_profile_id": "<string>",
"browser_address": "http://127.0.0.1:9222",
"extra_http_headers": {},
"max_screenshot_scrolling_times": 123,
"download_suffix": "<string>",
"download_timeout": 123,
"max_steps_per_run": 123
}
'{
"run_id": "tsk_123",
"status": "created",
"created_at": "2025-01-01T00:00:00Z",
"modified_at": "2025-01-01T00:05:00Z",
"run_type": "workflow_run",
"output": {},
"downloaded_files": [
{
"url": "<string>",
"checksum": "<string>",
"filename": "<string>",
"modified_at": "2023-11-07T05:31:56Z"
}
],
"recording_url": "<string>",
"screenshot_urls": [
"<string>"
],
"failure_reason": "<string>",
"queued_at": "2023-11-07T05:31:56Z",
"started_at": "2023-11-07T05:31:56Z",
"finished_at": "2023-11-07T05:31:56Z",
"app_url": "https://app.skyvern.com/tasks/tsk_123",
"browser_session_id": "pbs_123",
"browser_profile_id": "bp_123",
"max_screenshot_scrolls": 123,
"script_run": {
"ai_fallback_triggered": false
},
"errors": [
{}
],
"step_count": 123,
"run_with": "agent",
"ai_fallback": true,
"run_request": {
"workflow_id": "wpid_123",
"parameters": {},
"title": "<string>",
"proxy_location": "RESIDENTIAL",
"webhook_url": "<string>",
"totp_url": "https://my-totp-service.com/totp",
"totp_identifier": "john.doe@example.com",
"browser_session_id": "<string>",
"browser_profile_id": "<string>",
"max_screenshot_scrolls": 123,
"extra_http_headers": {},
"browser_address": "http://127.0.0.1:9222",
"ai_fallback": true,
"run_with": "<string>"
}
}Skyvern API key for authentication. API key can be found at https://app.skyvern.com/settings.
Instructions for navigating to and downloading the file
Website URL
Webhook URL to send status updates
Proxy location to use
RESIDENTIAL, US-CA, US-NY, US-TX, US-FL, US-WA, RESIDENTIAL_ES, RESIDENTIAL_IE, RESIDENTIAL_GB, RESIDENTIAL_IN, RESIDENTIAL_JP, RESIDENTIAL_FR, RESIDENTIAL_DE, RESIDENTIAL_NZ, RESIDENTIAL_ZA, RESIDENTIAL_AR, RESIDENTIAL_AU, RESIDENTIAL_BR, RESIDENTIAL_TR, RESIDENTIAL_CA, RESIDENTIAL_MX, RESIDENTIAL_IT, RESIDENTIAL_NL, RESIDENTIAL_PH, RESIDENTIAL_ISP, NONE Identifier for TOTP (Time-based One-Time Password) if required
TOTP URL to fetch one-time passwords
ID of the browser session to use, which is prefixed by pbs_ e.g. pbs_123456
"pbs_123456"
ID of a browser profile to reuse for this run
The CDP address for the task.
"http://127.0.0.1:9222"
Additional HTTP headers to include in requests
Show child attributes
Maximum number of times to scroll for screenshots
Suffix or complete filename for the downloaded file
Timeout in seconds for the download operation
Maximum number of steps to execute
Successful Response
Unique identifier for this run. Run ID starts with tsk_ for task runs and wr_ for workflow runs.
"tsk_123"
Current status of the run
created, queued, running, timed_out, failed, terminated, completed, canceled "created"
Timestamp when this run was created
"2025-01-01T00:00:00Z"
Timestamp when this run was last modified
"2025-01-01T00:05:00Z"
Type of run - always workflow_run for workflow runs
workflow_run Output data from the run, if any. Format/schema depends on the data extracted by the run.
List of files downloaded during the run
Show child attributes
URL to the recording of the run
List of last n screenshot URLs in reverse chronological order - the first one the list is the latest screenshot.
Reason for failure if the run failed or terminated
Timestamp when this run was queued
Timestamp when this run started execution
Timestamp when this run finished
URL to the application UI where the run can be viewed
"https://app.skyvern.com/tasks/tsk_123"
ID of the Skyvern persistent browser session used for this run
"pbs_123"
ID of the browser profile used for this run
"bp_123"
The maximum number of scrolls for the post action screenshot. When it's None or 0, it takes the current viewpoint screenshot
The script run result
Show child attributes
The errors for the run
Total number of steps executed in this run
Whether the workflow run was executed with agent or code
"agent"
Whether to fallback to AI if code run fails.
The original request parameters used to start this workflow run
Show child attributes